package org.eclipse.jet.compiled;

import org.eclipse.jet.JET2Context;
import org.eclipse.jet.JET2Template;
import org.eclipse.jet.JET2Writer;
import org.eclipse.jet.taglib.RuntimeTagElement;
import org.eclipse.jet.taglib.TagInfo;

public class _jet_main implements JET2Template {
    private static final String _jetns_c = "org.eclipse.jet.controlTags"; //$NON-NLS-1$
    private static final String _jetns_ws = "org.eclipse.jet.workspaceTags"; //$NON-NLS-1$

    public _jet_main() {
        super();
    }

    private static final String NL = System.getProperty("line.separator"); //$NON-NLS-1$
    
    private static final TagInfo _td_c_setVariable_7_1 = new TagInfo("c:setVariable", //$NON-NLS-1$
            7, 1,
            new String[] {
                "var", //$NON-NLS-1$
                "select", //$NON-NLS-1$
            },
            new String[] {
                "os", //$NON-NLS-1$
                "/*", //$NON-NLS-1$
            } );
    private static final TagInfo _td_ws_file_28_2 = new TagInfo("ws:file", //$NON-NLS-1$
            28, 2,
            new String[] {
                "template", //$NON-NLS-1$
                "path", //$NON-NLS-1$
            },
            new String[] {
                "templates/order_report.txt.jet", //$NON-NLS-1$
                "{$org.eclipse.jet.resource.parent.fullPath}/{$org.eclipse.jet.resource.fileName}.report.txt", //$NON-NLS-1$
            } );

    public void generate(final JET2Context context, final JET2Writer __out) {
        JET2Writer out = __out;
        // Main entry point for demo.ecore.nav.pre10 
        out.write(NL);         
        // 
        //	Set a variable representing the root element in the model 
        RuntimeTagElement _jettag_c_setVariable_7_1 = context.getTagFactory().createRuntimeTag(_jetns_c, "setVariable", "c:setVariable", _td_c_setVariable_7_1); //$NON-NLS-1$ //$NON-NLS-2$
        _jettag_c_setVariable_7_1.setRuntimeParent(null);
        _jettag_c_setVariable_7_1.setTagInfo(_td_c_setVariable_7_1);
        _jettag_c_setVariable_7_1.doStart(context, out);
        _jettag_c_setVariable_7_1.doEnd();
        out.write(NL);         
        // 
        //=============================================================
        //traverse input model, performing calculations and storing 
        //the results as model annotations via c:set tag 
        //=============================================================
        out.write(NL);         
        // No calculations required 
        out.write(NL);         
        //
        //=============================================================
        //traverse annotated model, performing text generation actions 
        //such as ws:file, ws:folder and ws:project 
        //=============================================================
        // 
        //	 Create a report of the file orders and write to a file with 
        //	 the same base-name as the input, but with a .report.txt extension.
        //	
        out.write("\t");  //$NON-NLS-1$        
        RuntimeTagElement _jettag_ws_file_28_2 = context.getTagFactory().createRuntimeTag(_jetns_ws, "file", "ws:file", _td_ws_file_28_2); //$NON-NLS-1$ //$NON-NLS-2$
        _jettag_ws_file_28_2.setRuntimeParent(null);
        _jettag_ws_file_28_2.setTagInfo(_td_ws_file_28_2);
        _jettag_ws_file_28_2.doStart(context, out);
        _jettag_ws_file_28_2.doEnd();
        out.write(NL);         
        out.write(" ");  //$NON-NLS-1$        
    }
}
